mscorlib 2.0.0.0 4.0.0.0 System.Enum System.Flags

Use the enumeration to specify access control rights when you create objects. To apply access rights to a named system mutex, use objects with the constructor and the method.

Security on synchronization objects is not supported for Windows 98 or Windows Millennium Edition.

Specifies the access control rights that can be applied to named system mutex objects.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.MutexRights

  The right to change the security and audit rules associated with a named mutex.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.MutexRights

  The right to delete a named mutex.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.MutexRights

  The right to exert full control over a named mutex, and to modify its access rules and audit rules.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.MutexRights

  The right to release a named mutex.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.MutexRights

  The right to open and copy the access rules and audit rules for a named mutex.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.MutexRights

  The right to wait on a named mutex.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.MutexRights

  The right to change the owner of a named mutex.